ViennaCL - The Vienna Computing Library: viennacl::scheduler::statement Class Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Static Public Member Functions | List of all members
viennacl::scheduler::statement Class Reference

The main class for representing a statement such as x = inner_prod(y,z); at runtime. More...

`#include <forwards.h>`

## Public Types
typedef statement_node | value_type
typedef viennacl::vcl_size_t | size_type
typedef std::vector< value_type > | container_type

## Public Member Functions
| statement (container_type const &custom_array)
template<typename LHS , typename OP , typename RHS >
| statement (LHS &lhs, OP const &, RHS const &rhs)
| Generate the runtime statement from an expression template. More...
container_type const & | array () const
size_type | root () const

## Static Public Member Functions
static void | assign_element (lhs_rhs_element &elem, char const &t)
static void | assign_element (lhs_rhs_element &elem, unsigned char const &t)
static void | assign_element (lhs_rhs_element &elem, short const &t)
static void | assign_element (lhs_rhs_element &elem, unsigned short const &t)
static void | assign_element (lhs_rhs_element &elem, int const &t)
static void | assign_element (lhs_rhs_element &elem, unsigned int const &t)
static void | assign_element (lhs_rhs_element &elem, long const &t)
static void | assign_element (lhs_rhs_element &elem, unsigned long const &t)
static void | assign_element (lhs_rhs_element &elem, float const &t)
static void | assign_element (lhs_rhs_element &elem, double const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::scalar< char > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::scalar< unsigned char > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::scalar< short > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::scalar< unsigned short > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::scalar< int > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::scalar< unsigned int > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::scalar< long > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::scalar< unsigned long > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::scalar< float > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::scalar< double > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::vector_base< char > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::vector_base< unsigned char > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::vector_base< short > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::vector_base< unsigned short > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::vector_base< int > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::vector_base< unsigned int > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::vector_base< long > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::vector_base< unsigned long > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::vector_base< float > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::vector_base< double > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::implicit_vector_base< char > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::implicit_vector_base< unsigned char > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::implicit_vector_base< short > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::implicit_vector_base< unsigned short > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::implicit_vector_base< int > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::implicit_vector_base< unsigned int > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::implicit_vector_base< long > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::implicit_vector_base< unsigned long > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::implicit_vector_base< float > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::implicit_vector_base< double > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::matrix_base< char > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::matrix_base< unsigned char > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::matrix_base< short > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::matrix_base< unsigned short > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::matrix_base< int > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::matrix_base< unsigned int > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::matrix_base< long > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::matrix_base< unsigned long > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::matrix_base< float > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::matrix_base< double > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::implicit_matrix_base< char > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::implicit_matrix_base< unsigned char > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::implicit_matrix_base< short > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::implicit_matrix_base< unsigned short > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::implicit_matrix_base< int > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::implicit_matrix_base< unsigned int > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::implicit_matrix_base< long > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::implicit_matrix_base< unsigned long > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::implicit_matrix_base< float > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::implicit_matrix_base< double > const &t)
static void | assign_element (lhs_rhs_element &elem, viennacl::compressed_matrix< float > const &m)
static void | assign_element (lhs_rhs_element &elem, viennacl::compressed_matrix< double > const &m)
static void | assign_element (lhs_rhs_element &elem, viennacl::coordinate_matrix< float > const &m)
static void | assign_element (lhs_rhs_element &elem, viennacl::coordinate_matrix< double > const &m)
static void | assign_element (lhs_rhs_element &elem, viennacl::ell_matrix< float > const &m)
static void | assign_element (lhs_rhs_element &elem, viennacl::ell_matrix< double > const &m)
static void | assign_element (lhs_rhs_element &elem, viennacl::hyb_matrix< float > const &m)
static void | assign_element (lhs_rhs_element &elem, viennacl::hyb_matrix< double > const &m)
template<class T >
static viennacl::enable_if < viennacl::is_primitive_type < T >::value, vcl_size_t > ::type | add_element (vcl_size_t next_free, lhs_rhs_element &elem, T const &t)
template<typename T >
static vcl_size_t | add_element (vcl_size_t next_free, lhs_rhs_element &elem, viennacl::scalar< T > const &t)
template<typename T >
static vcl_size_t | add_element (vcl_size_t next_free, lhs_rhs_element &elem, viennacl::vector_base< T > const &t)
template<typename T >
static vcl_size_t | add_element (vcl_size_t next_free, lhs_rhs_element &elem, viennacl::implicit_vector_base< T > const &t)
template<typename T >
static vcl_size_t | add_element (vcl_size_t next_free, lhs_rhs_element &elem, viennacl::matrix_base< T > const &t)
template<typename T >
static vcl_size_t | add_element (vcl_size_t next_free, lhs_rhs_element &elem, viennacl::implicit_matrix_base< T > const &t)
template<typename T >
static vcl_size_t | add_element (vcl_size_t next_free, lhs_rhs_element &elem, viennacl::compressed_matrix< T > const &t)
template<typename T >
static vcl_size_t | add_element (vcl_size_t next_free, lhs_rhs_element &elem, viennacl::coordinate_matrix< T > const &t)
template<typename T >
static vcl_size_t | add_element (vcl_size_t next_free, lhs_rhs_element &elem, viennacl::ell_matrix< T > const &t)
template<typename T >
static vcl_size_t | add_element (vcl_size_t next_free, lhs_rhs_element &elem, viennacl::hyb_matrix< T > const &t)

## Detailed Description

The main class for representing a statement such as x = inner_prod(y,z); at runtime.

This is the equivalent to an expression template tree, but entirely built at runtime in order to perform really cool stuff such as kernel fusion.

Examples:
  scheduler.cpp.

Definition at line 502 of file forwards.h.

## Member Typedef Documentation

typedef std::vector<value_type> viennacl::scheduler::statement::container_type

Definition at line 507 of file forwards.h.

typedef viennacl::vcl_size_t viennacl::scheduler::statement::size_type

Definition at line 506 of file forwards.h.

typedef statement_node viennacl::scheduler::statement::value_type

Definition at line 505 of file forwards.h.

## Constructor & Destructor Documentation

viennacl::scheduler::statement::statement | ( | container_type const & | custom_array | ) |
| inline

Definition at line 509 of file forwards.h.

template<typename LHS , typename OP , typename RHS >

viennacl::scheduler::statement::statement | ( | LHS & | lhs,
|  | OP const & | ,
|  | RHS const & | rhs
| ) |  |
| inline

Generate the runtime statement from an expression template.

Constructing a runtime statement from expression templates makes perfect sense, because this way only a single allocation is needed when creating the statement.

Definition at line 515 of file forwards.h.

## Member Function Documentation

template<class T >

static viennacl::enable_if<viennacl::is_primitive_type<T>::value, vcl_size_t>::type viennacl::scheduler::statement::add_element | ( | vcl_size_t | next_free,
|  | lhs_rhs_element & | elem,
|  | T const & | t
| ) |  |
| inlinestatic

Definition at line 620 of file forwards.h.

template<typename T >

static vcl_size_t viennacl::scheduler::statement::add_element | ( | vcl_size_t | next_free,
|  | lhs_rhs_element & | elem,
|  | viennacl::scalar< T > const & | t
| ) |  |
| inlinestatic

Definition at line 632 of file forwards.h.

template<typename T >

static vcl_size_t viennacl::scheduler::statement::add_element | ( | vcl_size_t | next_free,
|  | lhs_rhs_element & | elem,
|  | viennacl::vector_base< T > const & | t
| ) |  |
| inlinestatic

Definition at line 645 of file forwards.h.

template<typename T >

static vcl_size_t viennacl::scheduler::statement::add_element | ( | vcl_size_t | next_free,
|  | lhs_rhs_element & | elem,
|  | viennacl::implicit_vector_base< T > const & | t
| ) |  |
| inlinestatic

Definition at line 657 of file forwards.h.

template<typename T >

static vcl_size_t viennacl::scheduler::statement::add_element | ( | vcl_size_t | next_free,
|  | lhs_rhs_element & | elem,
|  | viennacl::matrix_base< T > const & | t
| ) |  |
| inlinestatic

Definition at line 669 of file forwards.h.

template<typename T >

static vcl_size_t viennacl::scheduler::statement::add_element | ( | vcl_size_t | next_free,
|  | lhs_rhs_element & | elem,
|  | viennacl::implicit_matrix_base< T > const & | t
| ) |  |
| inlinestatic

Definition at line 681 of file forwards.h.

template<typename T >

static vcl_size_t viennacl::scheduler::statement::add_element | ( | vcl_size_t | next_free,
|  | lhs_rhs_element & | elem,
|  | viennacl::compressed_matrix< T > const & | t
| ) |  |
| inlinestatic

Definition at line 693 of file forwards.h.

template<typename T >

static vcl_size_t viennacl::scheduler::statement::add_element | ( | vcl_size_t | next_free,
|  | lhs_rhs_element & | elem,
|  | viennacl::coordinate_matrix< T > const & | t
| ) |  |
| inlinestatic

Definition at line 705 of file forwards.h.

template<typename T >

static vcl_size_t viennacl::scheduler::statement::add_element | ( | vcl_size_t | next_free,
|  | lhs_rhs_element & | elem,
|  | viennacl::ell_matrix< T > const & | t
| ) |  |
| inlinestatic

Definition at line 717 of file forwards.h.

template<typename T >

static vcl_size_t viennacl::scheduler::statement::add_element | ( | vcl_size_t | next_free,
|  | lhs_rhs_element & | elem,
|  | viennacl::hyb_matrix< T > const & | t
| ) |  |
| inlinestatic

Definition at line 729 of file forwards.h.

container_type const& viennacl::scheduler::statement::array | ( |  | ) | const
| inline

Definition at line 528 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | char const & | t
| ) |  |
| inlinestatic

Definition at line 535 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | unsigned char const & | t
| ) |  |
| inlinestatic

Definition at line 536 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | short const & | t
| ) |  |
| inlinestatic

Definition at line 537 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | unsigned short const & | t
| ) |  |
| inlinestatic

Definition at line 538 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | int const & | t
| ) |  |
| inlinestatic

Definition at line 539 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | unsigned int const & | t
| ) |  |
| inlinestatic

Definition at line 540 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | long const & | t
| ) |  |
| inlinestatic

Definition at line 541 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | unsigned long const & | t
| ) |  |
| inlinestatic

Definition at line 542 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | float const & | t
| ) |  |
| inlinestatic

Definition at line 543 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | double const & | t
| ) |  |
| inlinestatic

Definition at line 544 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::scalar< char > const & | t
| ) |  |
| inlinestatic

Definition at line 546 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::scalar< unsigned char > const & | t
| ) |  |
| inlinestatic

Definition at line 547 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::scalar< short > const & | t
| ) |  |
| inlinestatic

Definition at line 548 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::scalar< unsigned short > const & | t
| ) |  |
| inlinestatic

Definition at line 549 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::scalar< int > const & | t
| ) |  |
| inlinestatic

Definition at line 550 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::scalar< unsigned int > const & | t
| ) |  |
| inlinestatic

Definition at line 551 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::scalar< long > const & | t
| ) |  |
| inlinestatic

Definition at line 552 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::scalar< unsigned long > const & | t
| ) |  |
| inlinestatic

Definition at line 553 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::scalar< float > const & | t
| ) |  |
| inlinestatic

Definition at line 554 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::scalar< double > const & | t
| ) |  |
| inlinestatic

Definition at line 555 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::vector_base< char > const & | t
| ) |  |
| inlinestatic

Definition at line 558 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::vector_base< unsigned char > const & | t
| ) |  |
| inlinestatic

Definition at line 559 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::vector_base< short > const & | t
| ) |  |
| inlinestatic

Definition at line 560 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::vector_base< unsigned short > const & | t
| ) |  |
| inlinestatic

Definition at line 561 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::vector_base< int > const & | t
| ) |  |
| inlinestatic

Definition at line 562 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::vector_base< unsigned int > const & | t
| ) |  |
| inlinestatic

Definition at line 563 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::vector_base< long > const & | t
| ) |  |
| inlinestatic

Definition at line 564 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::vector_base< unsigned long > const & | t
| ) |  |
| inlinestatic

Definition at line 565 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::vector_base< float > const & | t
| ) |  |
| inlinestatic

Definition at line 566 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::vector_base< double > const & | t
| ) |  |
| inlinestatic

Definition at line 567 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::implicit_vector_base< char > const & | t
| ) |  |
| inlinestatic

Definition at line 569 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::implicit_vector_base< unsigned char > const & | t
| ) |  |
| inlinestatic

Definition at line 570 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::implicit_vector_base< short > const & | t
| ) |  |
| inlinestatic

Definition at line 571 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::implicit_vector_base< unsigned short > const & | t
| ) |  |
| inlinestatic

Definition at line 572 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::implicit_vector_base< int > const & | t
| ) |  |
| inlinestatic

Definition at line 573 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::implicit_vector_base< unsigned int > const & | t
| ) |  |
| inlinestatic

Definition at line 574 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::implicit_vector_base< long > const & | t
| ) |  |
| inlinestatic

Definition at line 575 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::implicit_vector_base< unsigned long > const & | t
| ) |  |
| inlinestatic

Definition at line 576 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::implicit_vector_base< float > const & | t
| ) |  |
| inlinestatic

Definition at line 577 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::implicit_vector_base< double > const & | t
| ) |  |
| inlinestatic

Definition at line 578 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::matrix_base< char > const & | t
| ) |  |
| inlinestatic

Definition at line 582 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::matrix_base< unsigned char > const & | t
| ) |  |
| inlinestatic

Definition at line 583 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::matrix_base< short > const & | t
| ) |  |
| inlinestatic

Definition at line 584 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::matrix_base< unsigned short > const & | t
| ) |  |
| inlinestatic

Definition at line 585 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::matrix_base< int > const & | t
| ) |  |
| inlinestatic

Definition at line 586 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::matrix_base< unsigned int > const & | t
| ) |  |
| inlinestatic

Definition at line 587 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::matrix_base< long > const & | t
| ) |  |
| inlinestatic

Definition at line 588 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::matrix_base< unsigned long > const & | t
| ) |  |
| inlinestatic

Definition at line 589 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::matrix_base< float > const & | t
| ) |  |
| inlinestatic

Definition at line 590 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::matrix_base< double > const & | t
| ) |  |
| inlinestatic

Definition at line 591 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::implicit_matrix_base< char > const & | t
| ) |  |
| inlinestatic

Definition at line 593 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::implicit_matrix_base< unsigned char > const & | t
| ) |  |
| inlinestatic

Definition at line 594 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::implicit_matrix_base< short > const & | t
| ) |  |
| inlinestatic

Definition at line 595 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::implicit_matrix_base< unsigned short > const & | t
| ) |  |
| inlinestatic

Definition at line 596 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::implicit_matrix_base< int > const & | t
| ) |  |
| inlinestatic

Definition at line 597 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::implicit_matrix_base< unsigned int > const & | t
| ) |  |
| inlinestatic

Definition at line 598 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::implicit_matrix_base< long > const & | t
| ) |  |
| inlinestatic

Definition at line 599 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::implicit_matrix_base< unsigned long > const & | t
| ) |  |
| inlinestatic

Definition at line 600 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::implicit_matrix_base< float > const & | t
| ) |  |
| inlinestatic

Definition at line 601 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::implicit_matrix_base< double > const & | t
| ) |  |
| inlinestatic

Definition at line 602 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::compressed_matrix< float > const & | m
| ) |  |
| inlinestatic

Definition at line 604 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::compressed_matrix< double > const & | m
| ) |  |
| inlinestatic

Definition at line 605 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::coordinate_matrix< float > const & | m
| ) |  |
| inlinestatic

Definition at line 607 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::coordinate_matrix< double > const & | m
| ) |  |
| inlinestatic

Definition at line 608 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::ell_matrix< float > const & | m
| ) |  |
| inlinestatic

Definition at line 610 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::ell_matrix< double > const & | m
| ) |  |
| inlinestatic

Definition at line 611 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::hyb_matrix< float > const & | m
| ) |  |
| inlinestatic

Definition at line 613 of file forwards.h.

static void viennacl::scheduler::statement::assign_element | ( | lhs_rhs_element & | elem,
|  | viennacl::hyb_matrix< double > const & | m
| ) |  |
| inlinestatic

Definition at line 614 of file forwards.h.

size_type viennacl::scheduler::statement::root | ( |  | ) | const
| inline

Definition at line 530 of file forwards.h.

The documentation for this class was generated from the following file:

- viennacl/scheduler/forwards.h